"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Echo = void 0;
const ansi_colors_1 = __importDefault(require("ansi-colors"));
const util_1 = require("util");
const element_shadow_1 = require("../element-shadow");
class Echo extends element_shadow_1.ElementShadow {
    content;
    style;
    async init(props) {
        if (typeof props !== 'object') {
            this.content = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        this.logger.info(this.format());
        return this.content;
    }
    format() {
        const style = this.style ? ansi_colors_1.default[this.style] : (msg => msg);
        return (0, util_1.format)(`${style('%j')}`, this.content);
    }
}
exports.Echo = Echo;
//# sourceMappingURL=echo.js.map