import { Logger, LoggerLevel } from "./../libs/logger";
import { Element } from "./element.interface";
import { RootScene } from './root-scene';
import { Scene } from "./scene/scene";
export declare abstract class ElementShadow implements Element {
    title?: string;
    ignore?: boolean;
    ignoreError?: boolean;
    error?: any;
    log?: LoggerLevel;
    vars?: Object;
    async?: boolean;
    loop?: string;
    loopKey?: any;
    loopValue?: any;
    if: any;
    tag: string;
    parentData?: any;
    parent: ElementShadow;
    setContextVarsString?: any;
    setContextVarsObject?: any;
    execResult?: any;
    ignoreVarsBeforeExec?: string[];
    logger: Logger;
    scene: Scene;
    rootScene: RootScene;
    getParentByClassName<T extends ElementShadow>(ClazzType: new (...args: any[]) => T): T;
    protected setVarsAfterExec(): Promise<void>;
    protected evalPropsBeforeExec(): Promise<void>;
    protected $$prepare(): Promise<boolean>;
    protected $$markElementNeedReplace(): void;
    protected $$extend(ids: string[] | string): {};
    protected $$clone(parent: ElementShadow): any;
    protected $$export(id: string, props: any): void;
    protected callFunctionScript(script: string, ctx?: this, others?: {
        [varName: string]: any;
    }): Promise<any>;
    init(_props?: any): void;
    abstract exec(input?: any): any;
    dispose(): void;
}
export declare function copyElementShadowPrototype(elem: any): void;
