"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_temp_1 = require("../../libs/file-temp");
const testing_1 = require("../../testing");
const exec_1 = require("./exec");
let exec;
let tmpShFile = new file_temp_1.FileTemp();
beforeEach(() => {
    testing_1.Testing.reset();
    exec = testing_1.Testing.newElement(exec_1.Exec);
    tmpShFile.create(`echo "sh here"`);
});
afterEach(async () => {
    await exec.dispose();
});
afterAll(() => {
    tmpShFile.remove();
});
test('should be executed', async () => {
    await exec.init({
        title: 'Execute a file',
        commands: [`/bin/sh`, `${tmpShFile.file}`]
    });
    const { code } = await exec.exec();
    expect(code).toBe(0);
});
test('should be executed', async () => {
    await exec.init([`/bin/sh`, tmpShFile.file]);
    const { signal } = await exec.exec();
    expect(signal).toBeNull();
});
//# sourceMappingURL=exec.spec.js.map