"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileRead = void 0;
const file_remote_1 = require("../../libs/file-remote");
const element_shadow_1 = require("../element-shadow");
const json_formater_1 = require("./read/json.formater");
const yaml_formater_1 = require("./read/yaml.formater");
class FileRead extends element_shadow_1.ElementShadow {
    path;
    format;
    data;
    async init(props) {
        Object.assign(this, props);
    }
    async exec() {
        const file = new file_remote_1.FileRemote(this.path, this.scene);
        let content = await file.getTextContent();
        this.logger.debug(`Read file "${file.uri}"`);
        this.logger.trace(`Path   \t%s
Format \t%s
Content\t%s`, file.uri, this.format || '', content);
        const formater = this.getFormater();
        if (formater)
            content = formater.format(content);
        return this.data = content;
    }
    getFormater() {
        switch (this.format) {
            case 'json':
                return new json_formater_1.JSONFormater();
            case 'yaml':
                return new yaml_formater_1.YAMLFormater();
            default:
                return null;
        }
    }
}
exports.FileRead = FileRead;
//# sourceMappingURL=file-read.js.map