/// <reference types="node" />
import { IncomingMessage } from 'http';
import { Group } from "../../../components/group/group";
import { GroupItemProps } from "../../../components/group/group.props";
import { QueueHandlerInterface } from '../../../libs/queue/queue-handler.interface';
import { SubProps } from "./sub.props";
export declare class Sub<Q = any> extends Group<SubProps, GroupItemProps> implements QueueHandlerInterface<Q> {
    address: string;
    queue?: {
        file?: string;
        password?: string;
    };
    private queueRunner?;
    private server;
    constructor();
    handleQueue(request: Q): Promise<void>;
    init(props: SubProps): Promise<void>;
    exec(): Promise<any[]>;
    exit(): Promise<void>;
    dispose(): Promise<void>;
    getRequestBody(req: IncomingMessage): Promise<unknown>;
    private handleRequest;
}
