"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const password_1 = require("./password");
let input;
beforeEach(() => {
    input = testing_1.Testing.newElement(password_1.Password);
    testing_1.Testing.reset();
});
afterEach(async () => {
    await input.dispose();
});
test('Input password data', async () => {
    await input.init({
        title: `Enter your password ?`,
        default: 'abc'
    });
    setImmediate(() => input.answer());
    const rs1 = await input.exec();
    expect(rs1).toBe('abc');
    setImmediate(() => input.answer('def'));
    const rs2 = await input.exec();
    expect(rs2).toBe('def');
});
//# sourceMappingURL=password.spec.js.map