"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Install = void 0;
const packages_manager_1 = require("../../managers/packages-manager");
const element_shadow_1 = require("../element-shadow");
class Install extends element_shadow_1.ElementShadow {
    packages;
    async init(props) {
        if (Array.isArray(props)) {
            this.packages = props;
        }
        else if (typeof props === 'string') {
            this.packages = props.split(',').map(e => e.trim().split(' ').map(e => e.trim())).flat().filter(e => e);
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        if (!this.packages?.length)
            throw new Error('Packages are required to install');
        const logger = this.logger.clone();
        if (this.title)
            logger.addIndent();
        const packageManager = new packages_manager_1.PackagesManager(logger);
        await packageManager.install(...this.packages);
        return true;
    }
}
exports.Install = Install;
//# sourceMappingURL=install.js.map