import { ElementBuilder } from "../element-builder";
import { ElementShadow } from "../element-shadow";
import { SceneProps } from "./scene.props";
export declare class Scene extends ElementShadow {
    #private;
    private isRoot;
    description?: string;
    ignoreVarsBeforeExec: string[];
    path?: string;
    encryptedPath?: string;
    content?: string;
    password?: string;
    curDir: string;
    sceneVars: {
        [key: string]: any;
    };
    get elementBuilder(): ElementBuilder;
    get count(): number;
    getPath(p: string): string;
    constructor(isRoot?: boolean);
    init(props: SceneProps): Promise<void>;
    initGroup(): Promise<void>;
    exec(): Promise<ElementShadow[]>;
    dispose(): Promise<void>;
    getVars(str: any, ctx?: any, others?: any): Promise<any>;
    setVars(varObj: any, vl: any, ctx?: any): Promise<string[]>;
    mergeVars(obj: any): void;
    private getRemoteFileProps;
    private decryptContent;
    private generateEncryptedFile;
    private loadVars;
    private loadEnv;
}
