"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const sleep_1 = require("./sleep");
let sleep;
beforeEach(() => {
    testing_1.Testing.reset();
    sleep = testing_1.Testing.newElement(sleep_1.Sleep);
});
afterEach(async () => {
    await sleep.dispose();
});
test('Should sleep for a time', async () => {
    const start = Date.now();
    await sleep.init(500);
    await sleep.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
});
test('Should sleep for a time and show title', async () => {
    const start = Date.now();
    await sleep.init({
        title: 'sleep 500ms',
        duration: 500
    });
    await sleep.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
    expect(sleep.title).toBe('sleep 500ms');
});
//# sourceMappingURL=sleep.spec.js.map