"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileTemp = void 0;
const fs_1 = require("fs");
const os_1 = require("os");
const path_1 = require("path");
class FileTemp {
    file;
    get isExisted() {
        return (0, fs_1.existsSync)(this.file);
    }
    constructor(ext) {
        this.file = (0, path_1.join)((0, os_1.tmpdir)(), Math.random().toString());
        if (ext)
            this.file += ext;
    }
    create(content) {
        return new Promise((resolve, reject) => {
            (0, fs_1.writeFile)(this.file, content, 'utf-8', err => {
                if (err)
                    return reject(err);
                resolve(undefined);
            });
        });
    }
    remove() {
        if (this.isExisted)
            (0, fs_1.unlinkSync)(this.file);
    }
}
exports.FileTemp = FileTemp;
//# sourceMappingURL=file-temp.js.map