"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Testing = void 0;
const root_scene_1 = require("./components/root-scene");
const logger_1 = require("./libs/logger");
class Testing {
    static rootScene = new root_scene_1.RootScene(new logger_1.Logger(logger_1.LoggerLevel.SILENT));
    static get globalVars() {
        return this.rootScene.globalVars;
    }
    static get vars() {
        return this.rootScene.sceneVars;
    }
    static get logger() {
        return this.rootScene.logger;
    }
    static reset() {
        Testing.rootScene = new root_scene_1.RootScene(new logger_1.Logger(logger_1.LoggerLevel.SILENT));
    }
    static newElement(ElementClazz, ...args) {
        const elem = this.rootScene.elementBuilder
            .element(ElementClazz, ...args)
            .logger(this.logger)
            .tag(ElementClazz.name)
            .build();
        return elem;
    }
}
exports.Testing = Testing;
Testing.reset();
//# sourceMappingURL=testing.js.map